use anyhow::Context;

test_cases! {
    char::ucs_char: {
        case_000c20: "ఠ",
        case_001040: "၀",
        case_00173c: "᜼",
        case_001e58: "Ṙ",
        case_0071ed: "燭",
        case_008291: "芑",
        case_00f9f6: "臨",
        case_00fa2d: "鶴",
        case_00fb01: "ﬁ",
        case_00fb08: "﬈",
        case_00fcfc: "ﳼ",
        case_00fd97: "ﶗ",
        case_00fe13: "︓",
        case_00fe14: "︔",
        case_00fe44: "﹄",
        case_00fead: "ﺭ",
        case_00ff01: "！",
        case_00ff4f: "ｏ",
        case_014428: "𔐨",
        case_014445: "𔑅",
        case_014daf: "𔶯",
        case_016567: "𖕧",
        case_01698c: "𖦌",
        case_01bf89: "𛾉",
        case_0211e4: "𡇤",
        case_0229cf: "𢧏",
        case_02432b: "𤌫",
        case_026b5e: "𦭞",
        case_02c2e0: "𬋠",
        case_02d5d9: "𭗙",
        case_0308c2: "𰣂",
        case_039652: "𹙒",
        case_03967a: "𹙺",
        case_03aafb: "𺫻",
        case_03c58f: "𼖏",
        case_03ee74: "𾹴",
        case_0479f9: "񇧹",
        case_047d05: "񇴅",
        case_04d3da: "񍏚",
        case_04da02: "񍨂",
        case_04e9b8: "񎦸",
        case_04f4a1: "񏒡",
        case_052e63: "񒹣",
        case_053b22: "񓬢",
        case_055963: "񕥣",
        case_055e91: "񕺑",
        case_0598aa: "񙢪",
        case_05e15f: "񞅟",
        case_0604ad: "񠒭",
        case_06437d: "񤍽",
        case_066182: "񦆂",
        case_066a74: "񦩴",
        case_069c2d: "񩰭",
        case_06c6d7: "񬛗",
        case_072401: "񲐁",
        case_074c07: "񴰇",
        case_075782: "񵞂",
        case_07f3e9: "񿏩",
        case_07f7b7: "񿞷",
        case_07f826: "񿠦",
        case_081bcc: "򁯌",
        case_082100: "򂄀",
        case_084d00: "򄴀",
        case_086cf2: "򆳲",
        case_0897e5: "򉟥",
        case_08dc52: "򍱒",
        case_092308: "򒌈",
        case_09257e: "򒕾",
        case_0944d4: "򔓔",
        case_09488d: "򔢍",
        case_099424: "򙐤",
        case_099bbb: "򙮻",
        case_0a2538: "򢔸",
        case_0a2b58: "򢭘",
        case_0a7df9: "򧷹",
        case_0a837b: "򨍻",
        case_0a8ca2: "򨲢",
        case_0aba0f: "򫨏",
        case_0b17b1: "򱞱",
        case_0b5809: "򵠉",
        case_0baffc: "򺿼",
        case_0bd8c2: "򽣂",
        case_0bf41a: "򿐚",
        case_0bffe8: "򿿨",
        case_0c03f4: "󀏴",
        case_0c1e58: "󁹘",
        case_0c96b1: "󉚱",
        case_0ca246: "󊉆",
        case_0cab69: "󊭩",
        case_0cf97d: "󏥽",
        case_0d2366: "󒍦",
        case_0d66f4: "󖛴",
        case_0d8543: "󘕃",
        case_0d9448: "󙑈",
        case_0dc996: "󜦖",
        case_0dfe50: "󟹐",
        case_0e337b: "󣍻",
        case_0e395d: "󣥝",
        case_0e97dd: "󩟝",
        case_0eaa2a: "󪨪",
        case_0ecd95: "󬶕",
        case_0ecec4: "󬻄"
    }
}
